Index: extensions/Admin_Messages/admin.php
===================================================================
--- extensions/Admin_Messages/admin.php	(revision 11971)
+++ extensions/Admin_Messages/admin.php	(revision 12356)
@@ -9,16 +9,16 @@
 
 // +-----------------------------------------------------------------------+
-//				Tabsheet
+//        Tabsheet
 // +-----------------------------------------------------------------------+
 include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
 $page['tab'] = (isset($_GET['tab'])) ? $_GET['tab'] : $page['tab'] = 'list';
-	
+  
 $tabsheet = new tabsheet();
-$tabsheet->add('list', l10n('AM_list_tab'), AM_ADMIN . '-list'); 		// Liste de smessages
-$tabsheet->add('new', l10n('AM_new_tab'), AM_ADMIN . '-new'); 			// Ajouter un nouveau message
-if ($page['tab'] == 'edit' AND isset($_GET['message_id'])) { 			// Editer le message
-	$tabsheet->add('edit', l10n('AM_edit_tab'), AM_ADMIN . '-edit&amp;message_id=' . $_GET['message_id']);
+$tabsheet->add('list', l10n('Messages list'), AM_ADMIN . '-list');     // Liste de smessages
+$tabsheet->add('new', l10n('Add a message'), AM_ADMIN . '-new');       // Ajouter un nouveau message
+if ($page['tab'] == 'edit' AND isset($_GET['message_id'])) {       // Editer le message
+  $tabsheet->add('edit', l10n('Edit the message'), AM_ADMIN . '-edit&amp;message_id=' . $_GET['message_id']);
 }
-$tabsheet->add('config', l10n('Configuration'), AM_ADMIN . '-config'); 	// Configuration
+$tabsheet->add('config', l10n('Configuration'), AM_ADMIN . '-config');   // Configuration
 $tabsheet->select($page['tab']);
 $tabsheet->assign();
@@ -26,9 +26,9 @@
 
 // +-----------------------------------------------------------------------+
-//				Template
+//        Template
 // +-----------------------------------------------------------------------+
 $template->assign(array(
-	'AM_PATH' => AM_PATH,
-	'AM_ADMIN' => AM_ADMIN,
+  'AM_PATH' => AM_PATH,
+  'AM_ADMIN' => AM_ADMIN,
 ));
 
Index: extensions/Admin_Messages/admin/config.php
===================================================================
--- extensions/Admin_Messages/admin/config.php	(revision 11971)
+++ extensions/Admin_Messages/admin/config.php	(revision 12356)
@@ -3,28 +3,28 @@
 
 // +-----------------------------------------------------------------------+
-//				Modification de la configuration
+//        Modification de la configuration
 // +-----------------------------------------------------------------------+
 if (isset($_POST['config_submit'])) {
-	$user_config = array(
-		'nb_messages' => $_POST['nb_messages'],
-		'free_name' => (isset($_POST['free_name'])) ? 1 : 0,
-	);
-	
+  $user_config = array(
+    'nb_messages' => $_POST['nb_messages'],
+    'free_name' => (isset($_POST['free_name'])) ? 1 : 0,
+  );
+  
   conf_update_param('admin_messages', serialize($user_config));
-	array_push($page['infos'], l10n('Information data registered in database'));
+  array_push($page['infos'], l10n('Information data registered in database'));
 }
 
-	
+  
 // +-----------------------------------------------------------------------+
-//				Définition des variables template
+//        Définition des variables template
 // +-----------------------------------------------------------------------+
 $template->assign(array(
-	'NB_MESSAGES' => $conf['admin_messages']['nb_messages'],
-	'FREE_NAME' => ($conf['admin_messages']['free_name']) ? 'checked="checked"' : '',
+  'NB_MESSAGES' => $conf['admin_messages']['nb_messages'],
+  'FREE_NAME' => ($conf['admin_messages']['free_name']) ? 'checked="checked"' : '',
 ));
 
 
 // +-----------------------------------------------------------------------+
-//				Template
+//        Template
 // +-----------------------------------------------------------------------+
 $template->set_filenames(array('plugin_admin_content' => dirname(__FILE__).'/template/config.tpl'));
Index: extensions/Admin_Messages/admin/list.php
===================================================================
--- extensions/Admin_Messages/admin/list.php	(revision 11971)
+++ extensions/Admin_Messages/admin/list.php	(revision 12356)
@@ -3,48 +3,49 @@
 
 // +-----------------------------------------------------------------------+
-//				Supression d'un message
+//        Supression d'un message
 // +-----------------------------------------------------------------------+
 if (isset($_GET['delete_message'])) {
-	pwg_query("DELETE FROM ". AM_TABLE ." WHERE id = ". $_GET['delete_message'] .";");
-	if (isset($_GET['redirect']) AND $_GET['redirect'] = 'home')
-		redirect(get_root_url() . 'admin.php#messages');
-	else
-		array_push($page['infos'], l10n('AM_message_deleted'));
-		
+  pwg_query("DELETE FROM ". AM_TABLE ." WHERE id = ". $_GET['delete_message'] .";");
+  if (isset($_GET['redirect']) AND $_GET['redirect'] = 'home')
+    redirect(get_root_url() . 'admin.php#messages');
+  else
+    array_push($page['infos'], l10n('Message deleted'));
 }
 
-if (isset($_GET['msg']))
-	array_push($page['infos'], l10n('AM_message_'. $_GET['msg']));
-
-
-// +-----------------------------------------------------------------------+
-//				Affichage des messages
-// +-----------------------------------------------------------------------+
-$messages = pwg_query("SELECT * FROM `". AM_TABLE ."` 
-	ORDER BY add_date DESC;");
-	
-if (pwg_db_num_rows($messages)) {
-	while ($message = pwg_db_fetch_assoc($messages)) {
-		$item = array(
-			'DATE' => format_date($message['add_date'], true),
-			'AUTHOR' => $message['author'],
-			'CONTENT' => $message['content'],
-		);
-		if (is_admin() OR $message['author'] = $user['username']) {
-			$item['U_DELETE'] = AM_ADMIN . '&amp;delete_message=' . $message['id'];
-			$item['U_EDIT'] = AM_ADMIN . '&amp;tab=edit&amp;message_id=' . $message['id'];
-		}	
-		
-		$template->append('messages', $item);
-	}
-	
+if (isset($_GET['msg']) and $_GET['msg'] == 'added')
+{
+  array_push($page['infos'], l10n('Message added'));
 }
 
 
 // +-----------------------------------------------------------------------+
-//				Template
+//        Affichage des messages
+// +-----------------------------------------------------------------------+
+$messages = pwg_query("SELECT * FROM `". AM_TABLE ."` 
+  ORDER BY add_date DESC;");
+  
+if (pwg_db_num_rows($messages)) {
+  while ($message = pwg_db_fetch_assoc($messages)) {
+    $item = array(
+      'DATE' => format_date($message['add_date'], true),
+      'AUTHOR' => $message['author'],
+      'CONTENT' => $message['content'],
+    );
+    if (is_admin() OR $message['author'] = $user['username']) {
+      $item['U_DELETE'] = AM_ADMIN . '&amp;delete_message=' . $message['id'];
+      $item['U_EDIT'] = AM_ADMIN . '&amp;tab=edit&amp;message_id=' . $message['id'];
+    }  
+    
+    $template->append('messages', $item);
+  }
+  
+}
+
+
+// +-----------------------------------------------------------------------+
+//        Template
 // +-----------------------------------------------------------------------+
 $template->set_filenames(array('plugin_admin_content' => dirname(__FILE__).'/template/list.tpl'));
 $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
-	
+  
 ?>
Index: extensions/Admin_Messages/admin/new.php
===================================================================
--- extensions/Admin_Messages/admin/new.php	(revision 11971)
+++ extensions/Admin_Messages/admin/new.php	(revision 12356)
@@ -3,62 +3,62 @@
 
 // +-----------------------------------------------------------------------+
-//				Ajout d'un message
+//        Ajout d'un message
 // +-----------------------------------------------------------------------+
 if (isset($_POST['new_submit'])) {
-	if ($_POST['username'] == null) $_POST['username'] = $user['username'];
-		
-	if ($_POST['content'] == null) {
-		array_push($page['errors'], l10n('AM_empty_content'));
-		
-	} else {
-		if (isset($_GET['message_id'])) {
-			pwg_query("UPDATE `". AM_TABLE ."` SET
-					`author` = '". $_POST['username'] ."',
-					`content` = '". $_POST['content'] ."'
-				WHERE `id` = ". $_GET['message_id'] .";");
-		} else {
-			pwg_query("INSERT INTO `". AM_TABLE ."`(
-					add_date,
-					author,
-					content
-				)
-				VALUES(
-					'". date('Y-m-d H:i:s') ."',
-					'". $_POST['username'] ."',
-					'". $_POST['content'] ."'
-				);");
-		}
-		
-		if (isset($_GET['redirect']) AND $_GET['redirect'] = 'home')
-			redirect(get_root_url() . 'admin.php#messages');
-		else
-			redirect(AM_ADMIN .'-list&amp;msg=added');
-	}
+  if ($_POST['username'] == null) $_POST['username'] = $user['username'];
+    
+  if ($_POST['content'] == null) {
+    array_push($page['errors'], l10n('Content empty'));
+    
+  } else {
+    if (isset($_GET['message_id'])) {
+      pwg_query("UPDATE `". AM_TABLE ."` SET
+          `author` = '". $_POST['username'] ."',
+          `content` = '". $_POST['content'] ."'
+        WHERE `id` = ". $_GET['message_id'] .";");
+    } else {
+      pwg_query("INSERT INTO `". AM_TABLE ."`(
+          add_date,
+          author,
+          content
+        )
+        VALUES(
+          '". date('Y-m-d H:i:s') ."',
+          '". $_POST['username'] ."',
+          '". $_POST['content'] ."'
+        );");
+    }
+    
+    if (isset($_GET['redirect']) AND $_GET['redirect'] = 'home')
+      redirect(get_root_url() . 'admin.php#messages');
+    else
+      redirect(AM_ADMIN .'-list&amp;msg=added');
+  }
 }
 
 
 // +-----------------------------------------------------------------------+
-//				Formulaire vierge
+//        Formulaire vierge
 // +-----------------------------------------------------------------------+
 if (isset($_GET['message_id'])) {
-	$query = "SELECT * FROM " . AM_TABLE . " WHERE id = " . $_GET['message_id'] . ";";
-	$message = pwg_db_fetch_assoc(pwg_query($query));
+  $query = "SELECT * FROM " . AM_TABLE . " WHERE id = " . $_GET['message_id'] . ";";
+  $message = pwg_db_fetch_assoc(pwg_query($query));
 
-	$template->assign(array(
-		'USERNAME' => $message['author'],
-		'CONTENT' => $message['content'],
-		'FREE_NAME' => (!$conf['admin_messages']['free_name']) ? 'disabled="disabled"' : '',
-	));
+  $template->assign(array(
+    'USERNAME' => $message['author'],
+    'CONTENT' => $message['content'],
+    'FREE_NAME' => (!$conf['admin_messages']['free_name']) ? 'disabled="disabled"' : '',
+  ));
 
 } else {
-	$template->assign(array(
-		'USERNAME' => $user['username'],
-		'CONTENT' => null,
-		'FREE_NAME' => (!$conf['admin_messages']['free_name']) ? 'disabled="disabled"' : '',
-	));
+  $template->assign(array(
+    'USERNAME' => $user['username'],
+    'CONTENT' => null,
+    'FREE_NAME' => (!$conf['admin_messages']['free_name']) ? 'disabled="disabled"' : '',
+  ));
 }
 
 // +-----------------------------------------------------------------------+
-//				Template
+//        Template
 // +-----------------------------------------------------------------------+
 $template->set_filenames(array('plugin_admin_content' => dirname(__FILE__).'/template/new.tpl'));
Index: extensions/Admin_Messages/admin/template/config.tpl
===================================================================
--- extensions/Admin_Messages/admin/template/config.tpl	(revision 11971)
+++ extensions/Admin_Messages/admin/template/config.tpl	(revision 12356)
@@ -4,21 +4,21 @@
 
 <div class="titrePage">
-	<h2>{'Configuration'|@translate}</h2>
+  <h2>{'Configuration'|@translate}</h2>
 </div>
 
 <form method="post" action="" class="properties">
-	<fieldset>
-		<table>
-			<tr>
-				<td><span class="title">{'AM_nb_messages'|@translate}</span></td>
-				<td><input type="text" size="2" name="nb_messages" value="{$NB_MESSAGES}"/></td>
-			</tr>
-			<tr>
-				<td><span class="title">{'AM_free_name'|@translate}</span></td>
-				<td><input type="checkbox" name="free_name" {$FREE_NAME}/></td>
-			</tr>
-		</table>
-	</fieldset>
+  <fieldset>
+    <table>
+      <tr>
+        <td><span class="title">{'Number of messages to display on the admin main page'|@translate}</span></td>
+        <td><input type="text" size="2" name="nb_messages" value="{$NB_MESSAGES}"/></td>
+      </tr>
+      <tr>
+        <td><span class="title">{'Allow users to modify their name when post a message'|@translate}</span></td>
+        <td><input type="checkbox" name="free_name" {$FREE_NAME}/></td>
+      </tr>
+    </table>
+  </fieldset>
 
-	<p><input class="submit" type="submit" value="{'Submit'|@translate}" name="config_submit"/></p>
+  <p><input class="submit" type="submit" value="{'Submit'|@translate}" name="config_submit"/></p>
 </form>
Index: extensions/Admin_Messages/admin/template/list.tpl
===================================================================
--- extensions/Admin_Messages/admin/template/list.tpl	(revision 11971)
+++ extensions/Admin_Messages/admin/template/list.tpl	(revision 12356)
@@ -4,37 +4,37 @@
 
 <div class="titrePage">
-	<h2>{'AM_list_tab'|@translate}</h2>
+  <h2>{'Messages list'|@translate}</h2>
 </div>
 
 {if !isset($messages)}
-	{'AM_no_messages'|@translate}<br>
-	<a href="{$AM_ADMIN}&tab=new">{'AM_new_tab'|@translate}</a>
+  {'No message'|@translate}<br>
+  <a href="{$AM_ADMIN}&tab=new">{'Add a message'|@translate}</a>
 {/if}
 
 <form id="categoryOrdering">
-	<ul class="categoryUl">
-		{foreach from=$messages item=message}
-			<li class="categoryLi {if $smarty.foreach.pending_loop.index is odd}virtual_cat{/if}">
-				<ul class="categoryActions">
-					{if isset($message.U_EDIT)}
-					<li>
-						<a href="{$message.U_EDIT}" title="{'edit'|@translate}">
-							<img src="{$themeconf.admin_icon_dir}/category_edit.png" class="button" alt="{'edit'|@translate}" />
-						</a>
-					</li>
-					{/if}
-					{if isset($message.U_DELETE)}
-					<li>
-						<a href="{$message.U_DELETE}" title="{'delete'|@translate}">
-							<img src="{$themeconf.admin_icon_dir}/category_delete.png" class="button" alt="{'delete'|@translate}" />
-						</a>
-					</li>
-					{/if}
-				</ul>
-				
-				<div class="head"><b>{$message.AUTHOR}</b> - <i>{$message.DATE}</i></div>
-				<p>{$message.CONTENT}</p>
-			</li>
-		{/foreach}
-	</ul>
+  <ul class="categoryUl">
+    {foreach from=$messages item=message}
+      <li class="categoryLi {if $smarty.foreach.pending_loop.index is odd}virtual_cat{/if}">
+        <ul class="categoryActions">
+          {if isset($message.U_EDIT)}
+          <li>
+            <a href="{$message.U_EDIT}" title="{'edit'|@translate}">
+              <img src="{$themeconf.admin_icon_dir}/category_edit.png" class="button" alt="{'edit'|@translate}" />
+            </a>
+          </li>
+          {/if}
+          {if isset($message.U_DELETE)}
+          <li>
+            <a href="{$message.U_DELETE}" title="{'delete'|@translate}">
+              <img src="{$themeconf.admin_icon_dir}/category_delete.png" class="button" alt="{'delete'|@translate}" />
+            </a>
+          </li>
+          {/if}
+        </ul>
+        
+        <div class="head"><b>{$message.AUTHOR}</b> - <i>{$message.DATE}</i></div>
+        <p>{$message.CONTENT}</p>
+      </li>
+    {/foreach}
+  </ul>
 </form>
Index: extensions/Admin_Messages/admin/template/new.tpl
===================================================================
--- extensions/Admin_Messages/admin/template/new.tpl	(revision 11971)
+++ extensions/Admin_Messages/admin/template/new.tpl	(revision 12356)
@@ -5,30 +5,30 @@
 
 <div class="titrePage">
-	<h2>
-	{if isset($CONTENT)}
-		{'AM_edit_tab'|@translate}
-	{else}
-		{'AM_new_tab'|@translate}
-	{/if}
-	</h2>
+  <h2>
+  {if isset($CONTENT)}
+    {'Edit the message'|@translate}
+  {else}
+    {'Add a message'|@translate}
+  {/if}
+  </h2>
 </div>
 
 <form method="post" action="" class="properties">
-	<fieldset>
-		<table>
-			<tr>
-				<td><span class="title">{'Username'|@translate}</span></td>
-				<td>
-					<input type="text" size="15" name="username" value="{$USERNAME}" {$FREE_NAME}/>
-					{if $FREE_NAME != null}<span class="fixed">{'AM_name_fixed'|@translate}</span>{/if}
-				</td>
-			</tr>
-			<tr>
-				<td><span class="title">{'AM_msg_content'|@translate}</span></td>
-				<td><textarea name="content" rows="4" style="width:100%;">{$CONTENT}</textarea></td>
-			</tr>
-		</table>
-	</fieldset>
+  <fieldset>
+    <table>
+      <tr>
+        <td><span class="title">{'Username'|@translate}</span></td>
+        <td>
+          <input type="text" size="15" name="username" value="{$USERNAME}" {$FREE_NAME}/>
+          {if $FREE_NAME != null}<span class="fixed">{'(fixed)'|@translate}</span>{/if}
+        </td>
+      </tr>
+      <tr>
+        <td><span class="title">{'Message content'|@translate}</span></td>
+        <td><textarea name="content" rows="4" style="width:100%;">{$CONTENT}</textarea></td>
+      </tr>
+    </table>
+  </fieldset>
 
-	<p><input class="submit" type="submit" value="{'Submit'|@translate}" name="new_submit"/></p>
+  <p><input class="submit" type="submit" value="{'Submit'|@translate}" name="new_submit"/></p>
 </form>
Index: extensions/Admin_Messages/admin/template/style.css
===================================================================
--- extensions/Admin_Messages/admin/template/style.css	(revision 11971)
+++ extensions/Admin_Messages/admin/template/style.css	(revision 12356)
@@ -1,37 +1,37 @@
 table{
-	width:80%;
+  width:80%;
 }
 td {
-	width:50%;
+  width:50%;
 }
 .title {
-	display:block;
-	text-align:right;
-	font-weight:bold;
-	margin-right:10px;
+  display:block;
+  text-align:right;
+  font-weight:bold;
+  margin-right:10px;
 }
 .fixed {
-	font-style:italic;
+  font-style:italic;
 }
 .categoryLi div.head {
-	font-size:0.9em;
-	border-bottom:1px dotted #666;
-	width:300px;
-	margin-top:5px;
+  font-size:0.9em;
+  border-bottom:1px dotted #666;
+  width:300px;
+  margin-top:5px;
 }
 .categoryLi p {
-	margin-left:10px;
+  margin-left:10px;
 }
 
 .titrePage {
-	clear:right;
+  clear:right;
 }
 .version_title {
-	float:right;
-	position:relative;
-	top:-24px;
-	margin-bottom:-20px !important;
-	font-size:12px !important;
-	font-style:italic;
-	font-weight:normal;
+  float:right;
+  position:relative;
+  top:-24px;
+  margin-bottom:-20px !important;
+  font-size:12px !important;
+  font-style:italic;
+  font-weight:normal;
 }
Index: extensions/Admin_Messages/admin_messages.php
===================================================================
--- extensions/Admin_Messages/admin_messages.php	(revision 11971)
+++ extensions/Admin_Messages/admin_messages.php	(revision 12356)
@@ -8,39 +8,39 @@
 
 // +-----------------------------------------------------------------------+
-//				Affichage des messages
+//        Affichage des messages
 // +-----------------------------------------------------------------------+
 $messages = pwg_query("SELECT * FROM `". AM_TABLE ."` 
-	ORDER BY add_date DESC
-	LIMIT 0, ". $conf['admin_messages']['nb_messages'] .";");
-	
+  ORDER BY add_date DESC
+  LIMIT 0, ". $conf['admin_messages']['nb_messages'] .";");
+  
 if (pwg_db_num_rows($messages)) {
-	while ($message = pwg_db_fetch_assoc($messages)) {
-		$item = array(
-			'DATE' => format_date($message['add_date'], true),
-			'AUTHOR' => $message['author'],
-			'CONTENT' => $message['content'],
-		);
-		if (is_admin() OR $message['author'] = $user['username']) {
-			$item['U_DELETE'] = AM_ADMIN . '&amp;delete_message=' . $message['id'] . '&amp;redirect=home';
-			$item['U_EDIT'] = AM_ADMIN . '-edit&amp;message_id=' . $message['id'] . '&amp;redirect=home';
-		}	
-		
-		$template->append('messages', $item);
-	}
-	
+  while ($message = pwg_db_fetch_assoc($messages)) {
+    $item = array(
+      'DATE' => format_date($message['add_date'], true),
+      'AUTHOR' => $message['author'],
+      'CONTENT' => $message['content'],
+    );
+    if (is_admin() OR $message['author'] = $user['username']) {
+      $item['U_DELETE'] = AM_ADMIN . '&amp;delete_message=' . $message['id'] . '&amp;redirect=home';
+      $item['U_EDIT'] = AM_ADMIN . '-edit&amp;message_id=' . $message['id'] . '&amp;redirect=home';
+    }  
+    
+    $template->append('messages', $item);
+  }
+  
 }
 
 
 // +-----------------------------------------------------------------------+
-//				Template
+//        Template
 // +-----------------------------------------------------------------------+
 $template->assign(array(
-	'AM_ADMIN' => AM_ADMIN,
-	'USERNAME' => $user['username'],
-	'AM_PATH' => AM_PATH
+  'AM_ADMIN' => AM_ADMIN,
+  'USERNAME' => $user['username'],
+  'AM_PATH' => AM_PATH
 ));
 
 $template->set_filenames(array('admin_messages' => dirname(__FILE__) .'/template/admin_messages.tpl'));
 $template->pparse('admin_messages');
-	
+  
 ?>
Index: extensions/Admin_Messages/language/de_DE/plugin.lang.php
===================================================================
--- extensions/Admin_Messages/language/de_DE/plugin.lang.php	(revision 11971)
+++ extensions/Admin_Messages/language/de_DE/plugin.lang.php	(revision 12356)
@@ -1,16 +1,16 @@
 <?php
 
-$lang['AM_messages'] = "Mitteilungen";
-$lang['AM_no_messages'] = "Keine Mitteilungen";
-$lang['AM_list_tab'] = "Liste der Mitteilungen";
-$lang['AM_new_tab'] = "Mitteilung hinzufügen";
-$lang['AM_edit_tab'] = "Edit the message";
-$lang['AM_msg_content'] = "Inhalt der Mitteilung";
-$lang['AM_nb_messages'] = "Anzahl Mitteilungen welche auf der Administrationsseite angezeigt werden";
-$lang['AM_free_name'] = "Den Benutzern erlauben Ihr Name zu verändern, wenn sie eine Mitteilung posten";
-$lang['AM_name_fixed'] = "(fixiert)";
-$lang['AM_message_added'] = "Mitteilung hinzugefügt";
-$lang['AM_message_deleted'] = "Message deleted";
-$lang['AM_empty_content'] = "Inhalt leer";
+$lang['Messages'] = 'Mitteilungen';
+$lang['No message'] = 'Keine Mitteilungen';
+$lang['Messages list'] = 'Liste der Mitteilungen';
+$lang['Add a message'] = 'Mitteilung hinzufügen';
+$lang['Edit the message'] = 'Edit the message';
+$lang['Message content'] = 'Inhalt der Mitteilung';
+$lang['Number of messages to display on the admin main page'] = 'Anzahl Mitteilungen welche auf der Administrationsseite angezeigt werden';
+$lang['Allow users to modify their name when post a message'] = 'Den Benutzern erlauben Ihr Name zu verändern, wenn sie eine Mitteilung posten';
+$lang['(fixed)'] = '(fixiert)';
+$lang['Message added'] = 'Mitteilung hinzugefügt';
+$lang['Message deleted'] = 'Message deleted';
+$lang['Content empty'] = 'Inhalt leer';
 
 ?>
Index: extensions/Admin_Messages/language/en_UK/plugin.lang.php
===================================================================
--- extensions/Admin_Messages/language/en_UK/plugin.lang.php	(revision 11971)
+++ extensions/Admin_Messages/language/en_UK/plugin.lang.php	(revision 12356)
@@ -1,16 +1,16 @@
 <?php
 
-$lang['AM_messages'] = "Messages";
-$lang['AM_no_messages'] = "No message";
-$lang['AM_list_tab'] = "Messages list";
-$lang['AM_new_tab'] = "Add a message";
-$lang['AM_edit_tab'] = "Edit the message";
-$lang['AM_msg_content'] = "Message content";
-$lang['AM_nb_messages'] = "Number of messages to display on the admin main page";
-$lang['AM_free_name'] = "Allow users to modify their name when post a message";
-$lang['AM_name_fixed'] = "(fixed)";
-$lang['AM_message_added'] = "Message added";
-$lang['AM_message_deleted'] = "Message deleted";
-$lang['AM_empty_content'] = "Content empty";
+$lang['Messages'] = 'Messages';
+$lang['No message'] = 'No message';
+$lang['Messages list'] = 'Messages list';
+$lang['Add a message'] = 'Add a message';
+$lang['Edit the message'] = 'Edit the message';
+$lang['Message content'] = 'Message content';
+$lang['Number of messages to display on the admin main page'] = 'Number of messages to display on the admin main page';
+$lang['Allow users to modify their name when post a message'] = 'Allow users to modify their name when post a message';
+$lang['(fixed)'] = '(fixed)';
+$lang['Message added'] = 'Message added';
+$lang['Message deleted'] = 'Message deleted';
+$lang['Content empty'] = 'Content empty';
 
 ?>
Index: extensions/Admin_Messages/language/es_ES/plugin.lang.php
===================================================================
--- extensions/Admin_Messages/language/es_ES/plugin.lang.php	(revision 11971)
+++ extensions/Admin_Messages/language/es_ES/plugin.lang.php	(revision 12356)
@@ -1,16 +1,16 @@
 <?php
 
-$lang['AM_messages'] = "Mensaje";
-$lang['AM_no_messages'] = "No hay mensajes";
-$lang['AM_list_tab'] = "Lista de mensajes";
-$lang['AM_new_tab'] = "Añadir un mensaje";
-$lang['AM_edit_tab'] = "Editar mensaje";
-$lang['AM_msg_content'] = "Contenido del mensaje";
-$lang['AM_nb_messages'] = "Número de mensajes a mostrar";
-$lang['AM_free_name'] = "Permitir la modificación del nombre de usuario";
-$lang['AM_name_fixed'] = "(bloqueado)";
-$lang['AM_message_added'] = "Se ha guardado el mensaje";
-$lang['AM_message_deleted'] = "Mensaje eliminado";
-$lang['AM_empty_content'] = "Mensaje vacío";
+$lang['Messages'] = 'Mensaje';
+$lang['No message'] = 'No hay mensajes';
+$lang['Messages list'] = 'Lista de mensajes';
+$lang['Add a message'] = 'Añadir un mensaje';
+$lang['Edit the message'] = 'Editar mensaje';
+$lang['Message content'] = 'Contenido del mensaje';
+$lang['Number of messages to display on the admin main page'] = 'Número de mensajes a mostrar';
+$lang['Allow users to modify their name when post a message'] = 'Permitir la modificación del nombre de usuario';
+$lang['(fixed)'] = '(bloqueado)';
+$lang['Message added'] = 'Se ha guardado el mensaje';
+$lang['Message deleted'] = 'Mensaje eliminado';
+$lang['Content empty'] = 'Mensaje vacío';
 
 ?>
Index: extensions/Admin_Messages/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/Admin_Messages/language/fr_FR/plugin.lang.php	(revision 11971)
+++ extensions/Admin_Messages/language/fr_FR/plugin.lang.php	(revision 12356)
@@ -1,16 +1,16 @@
 <?php
 
-$lang['AM_messages'] = "Messages";
-$lang['AM_no_messages'] = "Aucun message";
-$lang['AM_list_tab'] = "Liste des messages";
-$lang['AM_new_tab'] = "Ajouter un message";
-$lang['AM_edit_tab'] = "Editer un message";
-$lang['AM_msg_content'] = "Contenu du message";
-$lang['AM_nb_messages'] = "Nombre de messages à afficher sur l'accueil";
-$lang['AM_free_name'] = "Permettre la modification du nom d'utilisateur";
-$lang['AM_name_fixed'] = "(bloqué)";
-$lang['AM_message_added'] = "Message enregistré";
-$lang['AM_message_deleted'] = "Message supprimé";
-$lang['AM_empty_content'] = "Message vide";
+$lang['Messages'] = 'Messages';
+$lang['No message'] = 'Aucun message';
+$lang['Messages list'] = 'Liste des messages';
+$lang['Add a message'] = 'Ajouter un message';
+$lang['Edit the message'] = 'Editer un message';
+$lang['Message content'] = 'Contenu du message';
+$lang['Number of messages to display on the admin main page'] = 'Nombre de messages à afficher sur l\'accueil';
+$lang['Allow users to modify their name when post a message'] = 'Permettre la modification du nom d\'utilisateur';
+$lang['(fixed)'] = '(bloqué)';
+$lang['Message added'] = 'Message enregistré';
+$lang['Message deleted'] = 'Message supprimé';
+$lang['Content empty'] = 'Message vide';
 
 ?>
Index: extensions/Admin_Messages/language/hu_HU/plugin.lang.php
===================================================================
--- extensions/Admin_Messages/language/hu_HU/plugin.lang.php	(revision 11971)
+++ extensions/Admin_Messages/language/hu_HU/plugin.lang.php	(revision 12356)
@@ -1,16 +1,16 @@
 <?php
 
-$lang['AM_messages'] = "Üzenetek";
-$lang['AM_no_messages'] = "Nincs üzenet";
-$lang['AM_list_tab'] = "Üzenet lista";
-$lang['AM_new_tab'] = "Üzenet hozzáadása";
-$lang['AM_edit_tab'] = "Üzenet szerkesztése";
-$lang['AM_msg_content'] = "Üzenet tartalom";
-$lang['AM_nb_messages'] = "A fő admin oldalon megjelenített üzenetek száma";
-$lang['AM_free_name'] = "Felhasználók nevének módosításának engedélyezése hozzászóláskor";
-$lang['AM_name_fixed'] = "(rögzített)";
-$lang['AM_message_added'] = "Üzenet hozzáadva";
-$lang['AM_message_deleted'] = "Üzenet törölve";
-$lang['AM_empty_content'] = "Üres tartalom";
+$lang['Messages'] = 'Üzenetek';
+$lang['No message'] = 'Nincs üzenet';
+$lang['Messages list'] = 'Üzenet lista';
+$lang['Add a message'] = 'Üzenet hozzáadása';
+$lang['Edit the message'] = 'Üzenet szerkesztése';
+$lang['Message content'] = 'Üzenet tartalom';
+$lang['Number of messages to display on the admin main page'] = 'A fő admin oldalon megjelenített üzenetek száma';
+$lang['Allow users to modify their name when post a message'] = 'Felhasználók nevének módosításának engedélyezése hozzászóláskor';
+$lang['(fixed)'] = '(rögzített)';
+$lang['Message added'] = 'Üzenet hozzáadva';
+$lang['Message deleted'] = 'Üzenet törölve';
+$lang['Content empty'] = 'Üres tartalom';
 
 ?>
Index: extensions/Admin_Messages/language/it_IT/plugin.lang.php
===================================================================
--- extensions/Admin_Messages/language/it_IT/plugin.lang.php	(revision 11971)
+++ extensions/Admin_Messages/language/it_IT/plugin.lang.php	(revision 12356)
@@ -1,16 +1,16 @@
 <?php
 
-$lang['AM_messages'] = 'Messaggio';
-$lang['AM_no_messages'] = 'Nessun messaggio';
-$lang['AM_list_tab'] = 'Lista dei messaggi';
-$lang['AM_new_tab'] = 'Aggiungere un messaggio';
-$lang['AM_edit_tab'] = 'Modificare un messaggio';
-$lang['AM_msg_content'] = 'Contenuto del messaggio';
-$lang['AM_nb_messages'] = 'Numero di messaggi da visualizzare sul pannello dell\'amministrazione';
-$lang['AM_free_name'] = 'Consentire la modifica del nome del utente';
-$lang['AM_name_fixed'] = '(bloccato)';
-$lang['AM_message_added'] = 'Messaggio aggiunto';
-$lang['AM_message_deleted'] = 'Messaggio cancellato';
-$lang['AM_empty_content'] = 'Senza contenuto';
+$lang['Messages'] = 'Messaggio';
+$lang['No message'] = 'Nessun messaggio';
+$lang['Messages list'] = 'Lista dei messaggi';
+$lang['Add a message'] = 'Aggiungere un messaggio';
+$lang['Edit the message'] = 'Modificare un messaggio';
+$lang['Message content'] = 'Contenuto del messaggio';
+$lang['Number of messages to display on the admin main page'] = 'Numero di messaggi da visualizzare sul pannello dell\'amministrazione';
+$lang['Allow users to modify their name when post a message'] = 'Consentire la modifica del nome del utente';
+$lang['(fixed)'] = '(bloccato)';
+$lang['Message added'] = 'Messaggio aggiunto';
+$lang['Message deleted'] = 'Messaggio cancellato';
+$lang['Content empty'] = 'Senza contenuto';
 
 ?>
Index: extensions/Admin_Messages/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/Admin_Messages/language/lv_LV/plugin.lang.php	(revision 11971)
+++ extensions/Admin_Messages/language/lv_LV/plugin.lang.php	(revision 12356)
@@ -1,17 +1,16 @@
 <?php
 
-$lang['AM_messages'] = "Ziņojumi";
-$lang['AM_no_messages'] = "Ziņojumu nav";
-$lang['AM_list_tab'] = "Ziņojumu saraksts";
-$lang['AM_new_tab'] = "Pievienot ziņojumu";
-$lang['AM_edit_tab'] = 'Rediģēt ziņojumu';
-$lang['AM_msg_content'] = "Ziņojuma saturs";
-$lang['AM_nb_messages'] = "Admina galvenajā lapā attēlojamo ziņojumu skaits";
-$lang['AM_free_name'] = "Atļaut lietotājiem modificēt savu vārdu pie ziņojuma iesniegšanas";
-$lang['AM_name_fixed'] = "(salabots)";
-$lang['AM_message_added'] = "Ziņojums pievienots";
-$lang['AM_message_deleted'] = 'Ziņojums izdzēsts';
-$lang['AM_empty_content'] = "Saturs tukšs";
-
+$lang['Messages'] = 'Ziņojumi';
+$lang['No message'] = 'Ziņojumu nav';
+$lang['Messages list'] = 'Ziņojumu saraksts';
+$lang['Add a message'] = 'Pievienot ziņojumu';
+$lang['Edit the message'] = 'Rediģēt ziņojumu';
+$lang['Message content'] = 'Ziņojuma saturs';
+$lang['Number of messages to display on the admin main page'] = 'Admina galvenajā lapā attēlojamo ziņojumu skaits';
+$lang['Allow users to modify their name when post a message'] = 'Atļaut lietotājiem modificēt savu vārdu pie ziņojuma iesniegšanas';
+$lang['(fixed)'] = '(salabots)';
+$lang['Message added'] = 'Ziņojums pievienots';
+$lang['Message deleted'] = 'Ziņojums izdzēsts';
+$lang['Content empty'] = 'Saturs tukšs';
 
 ?>
Index: extensions/Admin_Messages/language/no_NO/plugin.lang.php
===================================================================
--- extensions/Admin_Messages/language/no_NO/plugin.lang.php	(revision 11971)
+++ extensions/Admin_Messages/language/no_NO/plugin.lang.php	(revision 12356)
@@ -1,16 +1,16 @@
 <?php
 
-$lang['AM_messages'] = "Beskjeder";
-$lang['AM_no_messages'] = "Ingen beskjeder";
-$lang['AM_list_tab'] = "Beskjed liste";
-$lang['AM_new_tab'] = "Legg til en beskjed";
-$lang['AM_edit_tab'] = "Edit the message";
-$lang['AM_msg_content'] = "Beskjed innhold";
-$lang['AM_nb_messages'] = "Antall beskjeder å vise på admin forsiden";
-$lang['AM_free_name'] = "Godta brukere å endre sitt navn når de har postet en beskjed";
-$lang['AM_name_fixed'] = "(fikset)";
-$lang['AM_message_added'] = "Beskjed lagt til";
-$lang['AM_message_deleted'] = "Message deleted";
-$lang['AM_empty_content'] = "Innhold tomt";
+$lang['Messages'] = 'Beskjeder';
+$lang['No message'] = 'Ingen beskjeder';
+$lang['Messages list'] = 'Beskjed liste';
+$lang['Add a message'] = 'Legg til en beskjed';
+$lang['Edit the message'] = 'Edit the message';
+$lang['Message content'] = 'Beskjed innhold';
+$lang['Number of messages to display on the admin main page'] = 'Antall beskjeder å vise på admin forsiden';
+$lang['Allow users to modify their name when post a message'] = 'Godta brukere å endre sitt navn når de har postet en beskjed';
+$lang['(fixed)'] = '(fikset)';
+$lang['Message added'] = 'Beskjed lagt til';
+$lang['Message deleted'] = 'Message deleted';
+$lang['Content empty'] = 'Innhold tomt';
 
 ?>
Index: extensions/Admin_Messages/language/pl_PL/plugin.lang.php
===================================================================
--- extensions/Admin_Messages/language/pl_PL/plugin.lang.php	(revision 11971)
+++ extensions/Admin_Messages/language/pl_PL/plugin.lang.php	(revision 12356)
@@ -1,16 +1,16 @@
 <?php
 
-$lang['AM_messages'] = "Wiadomości";
-$lang['AM_no_messages'] = "Brak wiadomości";
-$lang['AM_list_tab'] = "Lista wiadomości";
-$lang['AM_new_tab'] = "Dodaj wiadomość";
-$lang['AM_edit_tab'] = "Edytuj wiadomości";
-$lang['AM_msg_content'] = "Zawartość wiadomości";
-$lang['AM_nb_messages'] = "Liczba wiadomości wyświetlana na stronie głównej admina";
-$lang['AM_free_name'] = "Pozwól użytkownikom zmieniać im nazwy po dodaniu wiadomości";
-$lang['AM_name_fixed'] = "(ustawione)";
-$lang['AM_message_added'] = "Wiadomość dodana";
-$lang['AM_message_deleted'] = "Wiadomość skasowana";
-$lang['AM_empty_content'] = "Zawartość pusta";
+$lang['Messages'] = 'Wiadomości';
+$lang['No message'] = 'Brak wiadomości';
+$lang['Messages list'] = 'Lista wiadomości';
+$lang['Add a message'] = 'Dodaj wiadomość';
+$lang['Edit the message'] = 'Edytuj wiadomości';
+$lang['Message content'] = 'Zawartość wiadomości';
+$lang['Number of messages to display on the admin main page'] = 'Liczba wiadomości wyświetlana na stronie głównej admina';
+$lang['Allow users to modify their name when post a message'] = 'Pozwól użytkownikom zmieniać im nazwy po dodaniu wiadomości';
+$lang['(fixed)'] = '(ustawione)';
+$lang['Message added'] = 'Wiadomość dodana';
+$lang['Message deleted'] = 'Wiadomość skasowana';
+$lang['Content empty'] = 'Zawartość pusta';
 
 ?>
Index: extensions/Admin_Messages/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/Admin_Messages/language/ru_RU/plugin.lang.php	(revision 11971)
+++ extensions/Admin_Messages/language/ru_RU/plugin.lang.php	(revision 12356)
@@ -1,16 +1,16 @@
 <?php
 
-$lang['AM_messages'] = "Сообщения";
-$lang['AM_no_messages'] = "Нет сообщений";
-$lang['AM_list_tab'] = "Список сообщений";
-$lang['AM_new_tab'] = "Добавить сообщение";
-$lang['AM_edit_tab'] = "Редактировать сообщение";
-$lang['AM_msg_content'] = "Содержание сообщения";
-$lang['AM_nb_messages'] = "Количество сообщений для отображения на странице иртерфейса администрирования";
-$lang['AM_free_name'] = "Позволять пользователям изменять имя при отправке сообщения";
-$lang['AM_name_fixed'] = "(исправлено)";
-$lang['AM_message_added'] = "Сообщение добавлено";
-$lang['AM_message_deleted'] = "Сообщение удалено";
-$lang['AM_empty_content'] = "Пустое сообщение";
+$lang['Messages'] = 'Сообщения';
+$lang['No message'] = 'Нет сообщений';
+$lang['Messages list'] = 'Список сообщений';
+$lang['Add a message'] = 'Добавить сообщение';
+$lang['Edit the message'] = 'Редактировать сообщение';
+$lang['Message content'] = 'Содержание сообщения';
+$lang['Number of messages to display on the admin main page'] = 'Количество сообщений для отображения на странице иртерфейса администрирования';
+$lang['Allow users to modify their name when post a message'] = 'Позволять пользователям изменять имя при отправке сообщения';
+$lang['(fixed)'] = '(исправлено)';
+$lang['Message added'] = 'Сообщение добавлено';
+$lang['Message deleted'] = 'Сообщение удалено';
+$lang['Content empty'] = 'Пустое сообщение';
 
 ?>
Index: extensions/Admin_Messages/language/sk_SK/plugin.lang.php
===================================================================
--- extensions/Admin_Messages/language/sk_SK/plugin.lang.php	(revision 11971)
+++ extensions/Admin_Messages/language/sk_SK/plugin.lang.php	(revision 12356)
@@ -1,16 +1,16 @@
 <?php
 
-$lang['AM_messages'] = "Správy";
-$lang['AM_no_messages'] = "Žiadne správy";
-$lang['AM_list_tab'] = "Zoznam správ";
-$lang['AM_new_tab'] = "Pridať správu";
-$lang['AM_msg_content'] = "Obsah správy";
-$lang['AM_nb_messages'] = "Počet správ zobrazených na admin stránke";
-$lang['AM_free_name'] = "Povoliť používateľom upravovať ich meno keď poslali správu";
-$lang['AM_name_fixed'] = "(nemenné)";
-$lang['AM_message_added'] = "Správa pridaná";
-$lang['AM_empty_content'] = "Prázdny obsah";
-$lang['AM_edit_tab'] = 'Opraviť správu';
-$lang['AM_message_deleted'] = 'Správa vymazaná'; 
+$lang['Messages'] = 'Správy';
+$lang['No message'] = 'Žiadne správy';
+$lang['Messages list'] = 'Zoznam správ';
+$lang['Add a message'] = 'Pridať správu';
+$lang['Message content'] = 'Obsah správy';
+$lang['Number of messages to display on the admin main page'] = 'Počet správ zobrazených na admin stránke';
+$lang['Allow users to modify their name when post a message'] = 'Povoliť používateľom upravovať ich meno keď poslali správu';
+$lang['(fixed)'] = '(nemenné)';
+$lang['Message added'] = 'Správa pridaná';
+$lang['Content empty'] = 'Prázdny obsah';
+$lang['Edit the message'] = 'Opraviť správu';
+$lang['Message deleted'] = 'Správa vymazaná'; 
 
 ?>
Index: extensions/Admin_Messages/language/sv_SE/plugin.lang.php
===================================================================
--- extensions/Admin_Messages/language/sv_SE/plugin.lang.php	(revision 11971)
+++ extensions/Admin_Messages/language/sv_SE/plugin.lang.php	(revision 12356)
@@ -1,17 +1,16 @@
 <?php
 
-$lang['AM_messages'] = "Meddelanden";
-$lang['AM_no_messages'] = "Inga meddelanden";
-$lang['AM_list_tab'] = "Meddelanden lista";
-$lang['AM_new_tab'] = "Lägg till ett meddelande";
-$lang['AM_edit_tab'] = "Redigera meddelandet";
-$lang['AM_msg_content'] = "Meddelandets innehåll";
-$lang['AM_nb_messages'] = "Antal meddelanden som visas på admin huvudsidan";
-
-$lang['AM_free_name'] = "Tillåt användare att ändra sitt namn när ett inlägg görs";
-$lang['AM_name_fixed'] = "(FAST)";
-$lang['AM_message_added'] = "Meddelande lagts till";
-$lang['AM_message_deleted'] = "Message raderat";
-$lang['AM_empty_content'] = "Innehållet tomt";
+$lang['Messages'] = 'Meddelanden';
+$lang['No message'] = 'Inga meddelanden';
+$lang['Messages list'] = 'Meddelanden lista';
+$lang['Add a message'] = 'Lägg till ett meddelande';
+$lang['Edit the message'] = 'Redigera meddelandet';
+$lang['Message content'] = 'Meddelandets innehåll';
+$lang['Number of messages to display on the admin main page'] = 'Antal meddelanden som visas på admin huvudsidan';
+$lang['Allow users to modify their name when post a message'] = 'Tillåt användare att ändra sitt namn när ett inlägg görs';
+$lang['(fixed)'] = '(FAST)';
+$lang['Message added'] = 'Meddelande lagts till';
+$lang['Message deleted'] = 'Message raderat';
+$lang['Content empty'] = 'Innehållet tomt';
 
 ?>
Index: extensions/Admin_Messages/main.inc.php
===================================================================
--- extensions/Admin_Messages/main.inc.php	(revision 11971)
+++ extensions/Admin_Messages/main.inc.php	(revision 12356)
@@ -14,5 +14,5 @@
 
 // +-----------------------------------------------------------------------+
-//				Variables globales AM
+//        Variables globales AM
 // +-----------------------------------------------------------------------+
 define('AM_DIR' , basename(dirname(__FILE__)));
@@ -23,32 +23,32 @@
 
 // +-----------------------------------------------------------------------+
-//					Triggers
+//          Triggers
 // +-----------------------------------------------------------------------+
-add_event_handler('get_admin_plugin_menu_links', 'AM_admin_menu'); 	// Lien d'administration
+add_event_handler('get_admin_plugin_menu_links', 'AM_admin_menu');   // Lien d'administration
 add_event_handler('loc_begin_page_tail', 'AM_load_admin_messages'); // affichage sur admin
 
 
 // +-----------------------------------------------------------------------+
-//					Fonctions
+//          Fonctions
 // +-----------------------------------------------------------------------+
 // Lien d'administration
 function AM_admin_menu($menu) {
-	array_push($menu, array(
-		'NAME' => 'Admin Messages',
-		'URL' => AM_ADMIN
-	));
-	return $menu;
+  array_push($menu, array(
+    'NAME' => 'Admin Messages',
+    'URL' => AM_ADMIN
+  ));
+  return $menu;
 }
 
 // affichage sur admin
 function AM_load_admin_messages() {
-	global $template, $page, $conf, $user;
-	
-	if (script_basename() == 'admin' AND defined('IN_ADMIN') AND IN_ADMIN 
-		AND isset($page['body_id']) AND $page['body_id']=='theAdminPage' 
-		AND $page['page'] == 'intro') 
-	{
-		include(AM_PATH . 'admin_messages.php');
-	}
+  global $template, $page, $conf, $user;
+  
+  if (script_basename() == 'admin' AND defined('IN_ADMIN') AND IN_ADMIN 
+    AND isset($page['body_id']) AND $page['body_id']=='theAdminPage' 
+    AND $page['page'] == 'intro') 
+  {
+    include(AM_PATH . 'admin_messages.php');
+  }
 }
 ?>
Index: extensions/Admin_Messages/maintain.inc.php
===================================================================
--- extensions/Admin_Messages/maintain.inc.php	(revision 11971)
+++ extensions/Admin_Messages/maintain.inc.php	(revision 12356)
@@ -4,29 +4,29 @@
 // Configuration par défaut
 define('default_config' , serialize(array(
-	'nb_messages' => 5,
-	'free_name' => false,
+  'nb_messages' => 5,
+  'free_name' => false,
 )));
 
 // Installation
 function plugin_install() {
-	global $prefixeTable;
+  global $prefixeTable;
 
-	pwg_query("CREATE TABLE `" . $prefixeTable . "admin_messages` (
-		`id` INT NOT NULL AUTO_INCREMENT ,
-		`add_date` DATETIME NOT NULL ,
-		`author` VARCHAR( 255 ) NOT NULL ,
-		`content` TEXT NULL ,
-		PRIMARY KEY ( `id` )
-	) DEFAULT CHARSET=utf8;");
-		
-	pwg_query("INSERT INTO " . CONFIG_TABLE . "(param,value,comment) VALUES('admin_messages', '" . default_config . "', 'Parametres du plugin Admin Messages');");
+  pwg_query("CREATE TABLE `" . $prefixeTable . "admin_messages` (
+    `id` INT NOT NULL AUTO_INCREMENT ,
+    `add_date` DATETIME NOT NULL ,
+    `author` VARCHAR( 255 ) NOT NULL ,
+    `content` TEXT NULL ,
+    PRIMARY KEY ( `id` )
+  ) DEFAULT CHARSET=utf8;");
+    
+  pwg_query("INSERT INTO " . CONFIG_TABLE . "(param,value,comment) VALUES('admin_messages', '" . default_config . "', 'Parametres du plugin Admin Messages');");
 }
 
 // Désinstallation
 function plugin_uninstall() {
-	global $prefixeTable;
+  global $prefixeTable;
 
-	pwg_query("DROP TABLE `" . $prefixeTable . "admin_messages`;");
-	pwg_query("DELETE FROM " . CONFIG_TABLE . " WHERE `param` = 'admin_messages';");
+  pwg_query("DROP TABLE `" . $prefixeTable . "admin_messages`;");
+  pwg_query("DELETE FROM " . CONFIG_TABLE . " WHERE `param` = 'admin_messages';");
 }
 ?>
Index: extensions/Admin_Messages/template/admin_messages.tpl
===================================================================
--- extensions/Admin_Messages/template/admin_messages.tpl	(revision 11971)
+++ extensions/Admin_Messages/template/admin_messages.tpl	(revision 12356)
@@ -1,18 +1,18 @@
 {literal}
-	<style type="text/css">
-		#AM_table {
-			width:100%;
-		}
-		#AM_table td {
-			padding:5px;
-		}
-		#AM_table td:first-child {
-			font-size:0.8em;
-			width:200px;
-		}
-		.categoryActions {
-			float:right;
-		}
-	</style>
+  <style type="text/css">
+    #AM_table {
+      width:100%;
+    }
+    #AM_table td {
+      padding:5px;
+    }
+    #AM_table td:first-child {
+      font-size:0.8em;
+      width:200px;
+    }
+    .categoryActions {
+      float:right;
+    }
+  </style>
 {/literal}
 
@@ -21,63 +21,63 @@
 
 <div class="content">
-	<dl style="margin-top:0;">
-		<dt>{'AM_messages'|@translate}</dt>
-		<dd>
-			<ul>
-			<form method="post" action="{$AM_ADMIN}-new&amp;redirect=home">
-			<fieldset>
-			
-				{if isset($messages)}
-				<table class="table2" id="AM_table">
-					
-					{foreach from=$messages item=message name=loop}
-						<tr class="{if $smarty.foreach.loop.index is odd}row2{else}row1{/if}">
-							<td>
-								<b>{$message.AUTHOR}</b> <br> <i>{$message.DATE}</i>
-							</td>
-							<td>
-								<ul class="categoryActions">
-									{if isset($message.U_DELETE)}
-									<li>
-										<a href="{$message.U_DELETE}" title="{'delete'|@translate}">
-											<img src="{$themeconf.admin_icon_dir}/plug_delete.png" class="button" alt="{'delete'|@translate}" />
-										</a>
-									</li>
-									{/if}
-									{if isset($message.U_EDIT)}
-									<li>
-										<a href="{$message.U_EDIT}" title="{'edit'|@translate}">
-											<img src="{$themeconf.icon_dir}/edit.png" width="16px" class="button" alt="{'edit'|@translate}" />
-										</a>
-									</li>
-									{/if}
-								</ul>
-								{$message.CONTENT}
-								
-							</td>
-						</tr>
-					{/foreach}
-					
-				</table>
-				{/if}
+  <dl style="margin-top:0;">
+    <dt>{'Messages'|@translate}</dt>
+    <dd>
+      <ul>
+      <form method="post" action="{$AM_ADMIN}-new&amp;redirect=home">
+      <fieldset>
+      
+        {if isset($messages)}
+        <table class="table2" id="AM_table">
+          
+          {foreach from=$messages item=message name=loop}
+            <tr class="{if $smarty.foreach.loop.index is odd}row2{else}row1{/if}">
+              <td>
+                <b>{$message.AUTHOR}</b> <br> <i>{$message.DATE}</i>
+              </td>
+              <td>
+                <ul class="categoryActions">
+                  {if isset($message.U_DELETE)}
+                  <li>
+                    <a href="{$message.U_DELETE}" title="{'delete'|@translate}">
+                      <img src="{$themeconf.admin_icon_dir}/plug_delete.png" class="button" alt="{'delete'|@translate}" />
+                    </a>
+                  </li>
+                  {/if}
+                  {if isset($message.U_EDIT)}
+                  <li>
+                    <a href="{$message.U_EDIT}" title="{'edit'|@translate}">
+                      <img src="{$themeconf.icon_dir}/edit.png" width="16px" class="button" alt="{'edit'|@translate}" />
+                    </a>
+                  </li>
+                  {/if}
+                </ul>
+                {$message.CONTENT}
+                
+              </td>
+            </tr>
+          {/foreach}
+          
+        </table>
+        {/if}
 
-				<div id="AM_link" align="center">
-					{if !isset($messages)}
-						{'AM_no_messages'|@translate}<br>
-					{/if}
+        <div id="AM_link" align="center">
+          {if !isset($messages)}
+            {'No message'|@translate}<br>
+          {/if}
 
-					<a href="{$AM_ADMIN}-new" onclick="jQuery('#AM_form').toggle();jQuery('#AM_link').toggle();return false;">{'AM_new_tab'|@translate}</a>
-				</div>
-				
-				<div style="display:none;width:50%;margin:10px 25%;text-align:center;" id="AM_form">
-					<textarea name="content" rows="4" style="width:100%;"></textarea>
-					<input type="hidden" name="username" value="{$USERNAME}"/>
-					<input class="submit" type="submit" value="{'Submit'|@translate}" name="new_submit"/>
-				</div>
-			
-			</fieldset>
-			</form>
-			</ul>
-		</dd>
-	</dl>
+          <a href="{$AM_ADMIN}-new" onclick="jQuery('#AM_form').toggle();jQuery('#AM_link').toggle();return false;">{'Add a message'|@translate}</a>
+        </div>
+        
+        <div style="display:none;width:50%;margin:10px 25%;text-align:center;" id="AM_form">
+          <textarea name="content" rows="4" style="width:100%;"></textarea>
+          <input type="hidden" name="username" value="{$USERNAME}"/>
+          <input class="submit" type="submit" value="{'Submit'|@translate}" name="new_submit"/>
+        </div>
+      
+      </fieldset>
+      </form>
+      </ul>
+    </dd>
+  </dl>
 </div>
